<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.RepmgrSetIncomingQueueMax Method
DatabaseEnvironment Class See Also Send Feedback

Set a byte-count limit on the maximum amount of dynamic memory used by the Replication Manager incoming queue.

Namespace: BerkeleyDB
Assembly: libdb_dotnet62 (in libdb_dotnet62.dll) Version: 6.2.32.0

# Syntax

C#

    public void RepmgrSetIncomingQueueMax(
    	uint GBytes,
    	uint Bytes
    )

Visual Basic (Declaration)

    Public Sub RepmgrSetIncomingQueueMax ( _
    	GBytes As UInteger, _
    	Bytes As UInteger _
    )

Visual C++

    public:
    void RepmgrSetIncomingQueueMax(
    	unsigned int GBytes,
    	unsigned int Bytes
    )

#### Parameters

GBytes
  Type: System..::.UInt32
  The number of gigabytes which, when added to Bytes, specifies the maximum amount of dynamic memory used by the Replication Manager incoming queue.

Bytes
  Type: System..::.UInt32
  The number of bytes which, when added to GBytes, specifies the maximum amount of dynamic memory used by the Replication Manager incoming queue.

# Remarks

By default, the Replication Manager incoming queue size has a limit of 100MB.

If both GBytes and Bytes are zero, then the Replication Manager incoming queue size is limited by available heap memory.

# See Also

DatabaseEnvironment Class
BerkeleyDB Namespace